<div class="row">
    <div class="col animated fadeIn" id="form-detalle">
        <form #form="ngForm" *ngIf="!viewModificadores">
            <div class="row d-flex justify-content-center text-dark font-weight-bold">
                {{ detalle.cPlatillo }}
            </div>
            <div class="row mt-2">
                <div class="row-fluid col-4">
                    <div class="form-group">
                        <label for="iCom" class="col-form-label"># Comanda</label>
                        <input type="number" class="form-control text-primary" name="iCom" min="1" max="9999"
                            [(ngModel)]="detallePlatillo.iCom" [readonly]="comandaAut || detallePlatillo.lEnviar"
                            (change)="cambiarComanda()" appFocus required>
                    </div>
                    <div class="form-group">
                        <label for="dPrecio" class="col-form-label">Precio</label>
                        <input type="number" min="0" class="form-control text-primary" name="dPrecio"
                            [(ngModel)]="detallePlatillo.dPrecio" [readonly]="detalle.dPrecio">
                    </div>
                    <div class="form-group" *ngIf="descuentoPlatillo">
                        <label for="dDesc" class="col-form-label">% Desc.</label>
                        <input type="number" class="form-control" name="dDesc" [(ngModel)]="detallePlatillo.dDesc"
                            [readOnly]="cheque.pea !== 'A' || detalle.lEnviar || !descuentoPlatillo">
                    </div>
                </div>
                <div class="form-group col-4 text-center">
                    <label for="dPorcion" class="col-form-label">Porción</label>
                    <input type="number" class="form-control text-center" name="dPorcion" max="999"
                        [(ngModel)]="detallePlatillo.dPorcion" (change)="cambiarPorcion()"
                        [readOnly]="cheque.pea !== 'A' || detalle.lEnviar">
                    <div class="mt-1" *ngIf="cheque.pea === 'A' && !detalle.lEnviar">
                        <button class="btn btn-light p-3 px-4" (click)="btnPlus('porcion')"
                            [disabled]="cheque.pea !== 'A' || detalle.lEnviar">
                            <i class="fa fa-plus"></i>
                        </button>
                        <button class="btn btn-light p-3 px-4" (click)="btnMinus('porcion')"
                            [disabled]="cheque.pea !== 'A' || detalle.lEnviar">
                            <i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
                <div class="form-group col-4 text-center">
                    <label for="iTiempo" class="col-form-label">Tiempo</label>
                    <input type="number" class="form-control text-center" name="iTiempo" [max]="10"
                        [(ngModel)]="detallePlatillo.iTiempo" (change)="cambiarTiempo()"
                        [readOnly]="cheque.pea !== 'A' || detalle.lEnviar">
                    <div class="mt-1" *ngIf="cheque.pea === 'A' && !detalle.lEnviar">
                        <button class="btn btn-light p-3 px-4" [disabled]="cheque.pea !== 'A' || detalle.lEnviar"
                            (click)="btnPlus('tiempo')">
                            <i class="fa fa-plus"></i>
                        </button>
                        <button class="btn btn-light p-3 px-4" [disabled]="cheque.pea !== 'A' || detalle.lEnviar"
                            (click)="btnMinus('tiempo')">
                            <i class="fa fa-minus"></i>
                        </button>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="form-group col-12">
                    <label for="cNotas">Notas del Platillo</label>
                    <textarea class="form-control" name="cNotas" rows="2" [(ngModel)]="detallePlatillo.cNotas"
                        [readOnly]="cheque.pea !== 'A' || detalle.lEnviar">
                        </textarea>
                </div>
            </div>
            <div class="d-flex justify-content-start">
                <button class="btn btn-primary px-4 py-3 ml-1" (click)="closeDialog()"
                    *ngIf="cheque.pea !== 'A' || detalle.lEnviar">
                    <i class="fas fa-times mr-2"></i>Cerrar
                </button>
                <button class="btn btn-primary px-4 py-3 ml-1" [disabled]="detallePlatillo.iCom <= 0"
                    (click)="formActualizarDetalle(form)" *ngIf="cheque.pea === 'A' && !detalle.lEnviar">
                    <i class="fas fa-check mr-2"></i>Aceptar
                </button>
            </div>
        </form>
    </div>
    <div class="col" id="modificadores-cheque" *ngIf="totalModif">
        <app-modificadores-cheque [platillo]="detalle" [cheque]="cheque" (updateModif)="resultModificadores($event)"
            (total)="totalModificadores($event);" (close)="viewModificadores = false;">
        </app-modificadores-cheque>
    </div>
</div>